# use appimage from https://github.com/aleksey-hoffman/sigma-file-manager

%define __os_install_post %{nil}

Name:	sigma-file-manager
Version:	1.7.0
Release:	%mkrel 1
License:	GPLv3
Group:	    File tools
Summary:	A modern file manager
Url:		https://github.com/aleksey-hoffman/sigma-file-manager
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
"Sigma File Manager" is a free, open-source, quickly evolving, modern
file manager (explorer / finder) app for Windows and Linux.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/aleksey-hoffman/sigma-file-manager/releases/download/v%{version}/Sigma-File-Manager-%{version}-Linux-Debian.AppImage
popd

install -Dm 0755 %{_sourcedir}/Sigma-File-Manager-%{version}-Linux-Debian.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Sun Jun 11 2023 tex - 1.7.0-1pclos2022
- create pkg
